%global varnishver 4.0.4
%global vabi 1.2
%global vabistrict 386f712
%global vbranch 4.1

Name: vmod-var
Summary: Basic variable in VCL vmod
Version: 0.13
Release: 1.v%{vbranch}%{?dist}
License: BSD
Group: System Environment/Daemons
URL: https://github.com/varnish/libvmod-var
Source0: lib%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Source tarball built like this:
# git clone https://github.com/varnish/libvmod-var.git
# cd libvmod-var
# git checkout 22f49da
# ./autogen.sh && ./configure && make && make dist

Requires: varnish = %varnishver
Requires: varnishabi-%vabi
Requires: varnishabi-strict-%vabistrict

BuildRequires: make
BuildRequires: gcc
BuildRequires: pkgconfig
#BuildRequires: python-docutils
BuildRequires: varnish = %varnishver
BuildRequires: varnish-libs-devel = %varnishver
%if 0%{?el5}
BuildRequires: python26
%endif


%description
This VMOD implements basic variable in VCL


%prep
%setup -q -n lib%{name}-%{version}

%build
export RST2MAN=/bin/true
%configure \
  --docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}
# We have to remove rpath - not allowed in Fedora
# (This problem only visible on 64 bit arches)
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%check
make check


%install
# Clean buildroot on older el variants
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name  '*.a' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
%license LICENSE
%else
%doc LICENSE
%endif
%doc README
%{_mandir}/man3/*.3*

%changelog
* Sat Dec 17 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.13-1
- Upstream release
- Rebuild for varnish-4.0

* Tue Feb 02 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.10-0.2.v4.1.20151202git22f49da
- Rebuild for varnish-4.1.1

* Wed Dec 02 2015 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.10-0.1.git.22f49da
- Wrapped for copr/fedora

